VNAME = o3
VCFLAGS = -O3 -mfpu=vfpv3-d16 -mthumb $(TUNE_FLAGS)

VNAME = os-neon
VCFLAGS = -Os -mfpu=neon -mthumb $(TUNE_FLAGS)

VNAME = o2-neon
VCFLAGS = -O2 -mfpu=neon -mthumb $(TUNE_FLAGS)

VNAME = o3-neon
VCFLAGS = -O3 -mfpu=neon -mthumb $(TUNE_FLAGS)

VNAME = o3-neon-arm
VCFLAGS = -O3 -mfpu=neon -marm $(TUNE_FLAGS)

VNAME = o3-neon-schedpressure
VCFLAGS = -O3 -mfpu=neon -mthumb -fsched-pressure $(TUNE_FLAGS)

VNAME = o3-neon-noschedule
VCFLAGS = -O3 -mfpu=neon -mthumb -fno-schedule-insns $(TUNE_FLAGS)

VNAME = o2-neon-noivopts
VCFLAGS = -O2 -mfpu=neon -mthumb -fno-ivopts $(TUNE_FLAGS)

VNAME = o3-neon-noivopts
VCFLAGS = -O3 -mfpu=neon -mthumb -fno-ivopts $(TUNE_FLAGS)

VNAME = o3-neon-sms
VCFLAGS = -O3 -mfpu=neon -mthumb -fmodulo-sched-allow-regmoves -fmodulo-sched -funsafe-loop-optimizations $(TUNE_FLAGS)

VNAME = o3-arm
VCFLAGS = -O3 -mfpu=vfpv3-d16 -marm $(TUNE_FLAGS)

VNAME = o3-armv5te
VCFLAGS = -O3 -march=armv5te -mfpu=vfpv3-d16 -marm $(TUNE_FLAGS)

VNAME = o3-neon-cortexa8
VCFLAGS = -O3 -mfpu=neon -mthumb -mtune=cortex-a8

VNAME = o3-neon-cortexa9
VCFLAGS = -O3 -mfpu=neon -mthumb -mtune=cortex-a9

VNAME = o2
VCFLAGS = -O2 -mfpu=vfpv3-d16 -mthumb $(TUNE_FLAGS)

VNAME = o3-neon-novect
VCFLAGS = -O3 -mfpu=neon -mthumb -fno-tree-vectorize $(TUNE_FLAGS)

VNAME = o3-vfpv3
VCFLAGS = -O3 -mfpu=vfpv3 -mthumb $(TUNE_FLAGS)

VNAME = o3-neon-pgo
VCFLAGS = -O3 -mfpu=neon -mthumb $(TUNE_FLAGS)
WITH_PGO=1

VNAME = o3-neon-lto
VCFLAGS = -O3 -mfpu=neon -mthumb -flto $(TUNE_FLAGS)

VNAME = o3-armv6
VCFLAGS = -O3 -march=armv6 -mfpu=vfp -marm $(TUNE_FLAGS)

VNAME = o2-vfpv3
VCFLAGS = -O2 -mfpu=vfpv3 -mthumb $(TUNE_FLAGS)
