# Build and test libffi
#
SUITE = libffi

-include local.mk
include $(TOPDIR)/lib/common.mk

include $(LIBDIR)/steps.mk

CONFIGURE_FLAGS =

configure:
	echo CONFIGURE_FLAGS=$(CONFIGURE_FLAGS) > $(STEP).txt
	(cd $(VBUILD)/build && \
	../../libffi-*.*/configure \
	--prefix=$(TOP)/$(VBUILD)/install \
	$(CONFIGURE_FLAGS) \
	) >> $(STEP).txt 2>&1

extract-top: $(B)/$(B).tar
	tar xaf $< -C $(LBUILD)
	rm -f $<

# Fetch, if needed
$(B)/$(B).tar:
	make -f $(TOPDIR)/lib/fetch.mk fetch B=$(B)
