# Build and test newlib
#
SUITE = newlib
BUILD_OPTIONS = nocheck

-include local.mk
include $(TOPDIR)/lib/common.mk

include $(LIBDIR)/steps.mk

CONFIGURE_FLAGS = \
	--disable-multilib

configure:
	echo CONFIGURE_FLAGS=$(CONFIGURE_FLAGS) > $(STEP).txt
	(cd $(VBUILD)/build && \
	../../newlib-*/newlib/configure \
	--prefix=$(TOP)/$(VBUILD)/install \
	$(CONFIGURE_FLAGS) \
	) >> $(STEP).txt 2>&1
	# Hack around a build problem at 2012-06-07
	mkdir -p $(VBUILD)/build/libc/sys/arm
	touch $(VBUILD)/build/libc/sys/arm/crt0.o

extract-top: $(B)/$(B).tar
	tar xaf $< -C $(LBUILD)
	rm -f $<

# Fetch, if needed
$(B)/$(B).tar:
	make -f $(TOPDIR)/lib/fetch.mk fetch B=$(B)
