#!/bin/sh
# Update a branch, snapshot the latest revision, and spawn the jobs

set -e

# Directory this script runs from
here=`dirname $0`

# Pull a branch and tarball it up
branch=$1
head=$2

# Silly bzr...
rm -rf $branch/.bzr/checkout/limbo $branch/.bzr/checkout/pending-deletion
bzr pull -q --overwrite -d $branch

stem=`$here/export-bzr.sh $branch $head $3 $4 $5 | grep ^stem: | awk '{print $2;}'`

if [ "$stem" != "" ]; then
    $here/spawn.sh $head $stem
fi
