# Bare metal cross compiler with Graphite
# Statically linked as we only build on i686 but want to run
# everywhere.
GCCCONFARGS = \
	--with-mode=thumb --with-arch=armv7-a --with-tune=cortex-a9 \
	--with-float=softfp --with-fpu=neon \
	--with-cloog --enable-cloog-backend=ppl-legacy \
	--enable-static \
	--with-newlib \
	--with-headers=newlib/libc/include \
	--disable-newlib-supplied-syscalls \
	--target=arm-none-eabi

LANGUAGES = c,c++
BUILD_OPTIONS = nocheck
