# aarch64 in a cross glibc configuration
TRIPLET = arm-linux-gnueabihf
ALT_TRIPLET = arm-linux-gnueabi
FLOAT_ABI = hard
GCCCONFARGS = \
	--with-mode=thumb \
	--with-arch=armv7-a --with-tune=cortex-a15 \
	--with-fpu=neon --with-float=$(FLOAT_ABI) \
	--target=$(ALT_TRIPLET) --with-sysroot=$(SYSROOT)

CROSS_COMPILING = true
SYSROOT = $(TOP)/$(PREBUILT)/$(TRIPLET)/libc
PREBUILT_TOOLS = gcc-linaro-$(TRIPLET)-2013.04-20130517_linux64.tar
EXTRACT_TOP_EXTRAS = extract-prebuilt fixup-triplet fixup-multiarch

# Set up QEMU for testing GCC
GCC_DEJAGNU = $(TOP)/$(TOPDIR)/etc/$(TRIPLET)/gcc/site.exp
QEMU_CPU = cortex-a15
QEMU_LD_PREFIX = $(SYSROOT)
QEMU_RESERVED_VA = 0
export QEMU_CPU QEMU_LD_PREFIX QEMU_RESERVED_VA
