#!/bin/bash
# Takes a list of shell commands and test for existance
# using the bash 'type' builtin
for CMD in $@; do
  if ! type "${CMD}" &> /dev/null; then
    echo >&2 "\
please make sure you have the following commands installed:
  $@ \
could not find: ${CMD}"
    exit 1
  fi
done
