#!/usr/bin/python
"""Extracts the body of a GCC contrib/test_summary email by extracting
the lines between a cat <<'EOF' and the EOF.
"""

import fileinput
import re

def main():
    lines = iter([x.rstrip() for x in fileinput.input()])

    while True:
        line = lines.next()
        if re.match('cat\s*<<', line):
            break

    while True:
        line = lines.next()

        if re.match('EOF', line):
            break
        else:
            print line

if __name__ == '__main__':
    main()
